| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

Classes | Enumerations | Variables
calctrl.h File Reference

## Classes

class | wxCalendarEvent
| The wxCalendarEvent class is used together with wxCalendarCtrl. More...
class | wxCalendarDateAttr
| wxCalendarDateAttr is a custom attributes for a calendar date. More...
class | wxCalendarCtrl
| The calendar control allows the user to pick a date. More...

## Enumerations

enum | { wxCAL_SUNDAY_FIRST = 0x0000, wxCAL_MONDAY_FIRST = 0x0001, wxCAL_SHOW_HOLIDAYS = 0x0002, wxCAL_NO_YEAR_CHANGE = 0x0004, wxCAL_NO_MONTH_CHANGE = 0x000c, wxCAL_SEQUENTIAL_MONTH_SELECTION = 0x0010, wxCAL_SHOW_SURROUNDING_WEEKS = 0x0020, wxCAL_SHOW_WEEK_NUMBERS = 0x0040 }
enum | wxCalendarDateBorder { wxCAL_BORDER_NONE, wxCAL_BORDER_SQUARE, wxCAL_BORDER_ROUND }
| Possible kinds of borders which may be used to decorate a date using wxCalendarDateAttr. More...
enum | wxCalendarHitTestResult { wxCAL_HITTEST_NOWHERE, wxCAL_HITTEST_HEADER, wxCAL_HITTEST_DAY, wxCAL_HITTEST_INCMONTH, wxCAL_HITTEST_DECMONTH, wxCAL_HITTEST_SURROUNDING_WEEK, wxCAL_HITTEST_WEEK }
| Possible return values from wxCalendarCtrl::HitTest(). More...

## Variables

wxEventType | wxEVT_CALENDAR_SEL_CHANGED
wxEventType | wxEVT_CALENDAR_PAGE_CHANGED
wxEventType | wxEVT_CALENDAR_DOUBLECLICKED
wxEventType | wxEVT_CALENDAR_WEEKDAY_CLICKED
wxEventType | wxEVT_CALENDAR_WEEK_CLICKED

## Enumeration Type Documentation

anonymous enum

Enumerator:

  wxCAL_SUNDAY_FIRST |
  wxCAL_MONDAY_FIRST |
  wxCAL_SHOW_HOLIDAYS |
  wxCAL_NO_YEAR_CHANGE |
  wxCAL_NO_MONTH_CHANGE |
  wxCAL_SEQUENTIAL_MONTH_SELECTION |
  wxCAL_SHOW_SURROUNDING_WEEKS |
  wxCAL_SHOW_WEEK_NUMBERS |

enum wxCalendarDateBorder

Possible kinds of borders which may be used to decorate a date using wxCalendarDateAttr.

Enumerator:

  wxCAL_BORDER_NONE | No Border (Default)
  wxCAL_BORDER_SQUARE | Rectangular Border.
  wxCAL_BORDER_ROUND | Round Border.

enum wxCalendarHitTestResult

Possible return values from wxCalendarCtrl::HitTest().

Enumerator:

  wxCAL_HITTEST_NOWHERE | Hit outside of anything.
  wxCAL_HITTEST_HEADER | Hit on the header (weekdays).
  wxCAL_HITTEST_DAY | Hit on a day in the calendar.
  wxCAL_HITTEST_INCMONTH | Hit on next month arrow (in alternate month selector mode).
  wxCAL_HITTEST_DECMONTH | Hit on previous month arrow (in alternate month selector mode).
  wxCAL_HITTEST_SURROUNDING_WEEK | Hit on surrounding week of previous/next month (if shown).
  wxCAL_HITTEST_WEEK | Hit on week of the year number (if shown).

## Variable Documentation

wxEventType wxEVT_CALENDAR_DOUBLECLICKED

wxEventType wxEVT_CALENDAR_PAGE_CHANGED

wxEventType wxEVT_CALENDAR_SEL_CHANGED

wxEventType wxEVT_CALENDAR_WEEK_CLICKED

wxEventType wxEVT_CALENDAR_WEEKDAY_CLICKED